#include "locmin.h"
#include<bits/stdc++.h>
using namespace std;
#define fi first
#define se second
#define pb push_back
#define ll long long
pair<int,int>find_locmin_point(int n,int m){
    int a[m+5]={0};
    int l=1,r=m;
    while(r-l>3){
        int mid=l+r>>1;
        int x=value(1,mid),y=value(1,mid+1);
        if(x<y)r=mid;
        else l=mid+1;
    }
    for(int i=l;i<=r;i++)a[i]=value(1,i);
    a[l-1]=a[r+1]=1e9;
    for(int i=l;i<=r;i++)if(a[i]<a[i-1]&&a[i]<a[i+1])return {1,i};
}
